package com.madeu.dao.crm.crmmemberpay;

import jakarta.annotation.PostConstruct;
import org.mybatis.spring.SqlSessionTemplate;
import org.mybatis.spring.support.SqlSessionDaoSupport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Repository
public class CrmMemberPaySqlMapDAO extends SqlSessionDaoSupport{
    @Autowired
    private SqlSessionTemplate sqlSessionTemplate;

    @PostConstruct
    void init() {
        setSqlSessionTemplate(sqlSessionTemplate);
    }

    /**
     * 고객 예약 정보 리스트 조회 (List)
     *
     * @param Map
     * @return
     * @throws DataAccessException
     */
    public List<Map<String, Object>> selectListMemberPay(HashMap<String, Object> paramMap)
            throws DataAccessException {
        logger.debug("CrmMemberPaySqlMapDAO selectListMemberPay START");
        String sqlId = "CrmMemberPay.selectListMemberPay";
        logger.debug("CrmMemberPaySqlMapDAO selectListMemberPay END");
        return getSqlSession().selectList(sqlId, paramMap);
    }
}
